# Jay
Customizable XMPP bot

## Dependencies
- CMake
- pkgconfig
- gloox
- yaml-cpp

## Building
The following is an example, feel free to customize
```shell
mkdir build
cp example.config.yml build/config.yml
cd build
# edit config.yml as you please
cmake ..
cmake --build .
./jay config.yml # to run the app with the config
```

## Modules

### Actor
This module is designed to manage access to Bot.

#### Commands:
- **list**: lists all known actors
- **set** `actor` `group`: assigns a group to an actor. `default` is a special actor name, group from it is assigned to all new actors, not listed in `actors` section of config

### Publish
This module enables bot to publish to PubSub nodes

#### Commands:
- **to** `node@service` `title`\n`article`: Publishes `article` to the `node` of the `service`
- **dialog**: opens an interactive dialog to do the same thing command `to` does