// SPDX-FileCopyrightText: 2024 Yury Gubich <blue@macaw.me>
// SPDX-License-Identifier: GPL-3.0-or-later

#pragma once

#include <string>
#include <vector>
#include <map>

#define UNUSED(x) (void)(x)

namespace Shared {
    typedef std::vector<std::string> Strings;
    typedef std::map<std::string, Strings> Permissions;
    typedef std::map<std::string, std::string> VC;
    typedef std::pair<std::string, std::string> VCEntry;
    typedef std::pair<const std::string, std::string> VCConstEntry;
}