// SPDX-FileCopyrightText: 2024 Yury Gubich <blue@macaw.me>
// SPDX-License-Identifier: GPL-3.0-or-later

#pragma once

#include <string>
#include <chrono>
#include <format>

#include <uuid/uuid.h>

#include "definitions.h"

namespace Shared {
    std::string getISOTimestamp();
    std::string getUUID();
    Shared::Strings split(const std::string& string, const std::string& delimiter = " ");
}